Get Contact Details by Email Id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the details of Contact.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/contactmaster/{email}

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details:

  • Company Code
  • Company Name
  • First Name
  • Last Name
  • Designation
  • Phone 1
  • Phone 2
  • Email Id
  • Contact Type

Request Parameters

To fetch Contact, use the provided end point url.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/contactmaster/{email}

Response

[
    {
        "company_code": "00247",
        "company_name": "ZHEJIANG G&B FOREIGN TRADING CO.,LTD",
        "first_name": "Demo",
        "Last_name": "Users",
        "designation": "Sr. Manager",
        "phone_1": "90789757654",
        "phone_2": "09784342365",
        "email_1": "[email protected]",
        "contact_type": "Primary"
    }
]  

This example demonstrates a request to fetch the contact. The response includes details such as the Company Code, Company Name, Contact Name, Contact Designation, etc.

Path Params
string
required
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json